osl::rating::ImmediateEscape Class Reference

`#include <escape.h>`

Inheritance diagram for osl::rating::ImmediateEscape:

## Public Member Functions

| ImmediateEscape (Ptype s, Ptype a)
bool | match (const NumEffectState &state, Move move, const RatingEnv &env) const
Public Member Functions inherited from osl::rating::Feature
| Feature (const std::string &name)
virtual | ~Feature ()
virtual bool | effectiveInCheck () const
const std::string & | name () const

## Private Attributes

Ptype | self
Ptype | attack

## Detailed Description

Definition at line 52 of file feature/escape.h.

## Constructor & Destructor Documentation

## ImmediateEscape()

osl::rating::ImmediateEscape::ImmediateEscape | ( | Ptype | s,
|  | Ptype | a )

inline

Definition at line 56 of file feature/escape.h.

References attack, osl::rating::Feature::Feature(), osl::Ptype_Table, and self.

## Member Function Documentation

## match()

bool osl::rating::ImmediateEscape::match | ( | const NumEffectState & | state,
|  | Move | move,
|  | const RatingEnv & | env ) const

inline virtual

Implements osl::rating::Feature.

Definition at line 61 of file feature/escape.h.

References attack, osl::Move::from(), osl::NumEffectState::hasEffectIf(), osl::rating::RatingEnv::history, osl::Move::isDrop(), osl::Move::isNormal(), osl::container::MoveStack::lastMove(), osl::Move::ptype(), osl::Move::ptypeO(), self, and osl::Move::to().

## Member Data Documentation

## attack

Ptype osl::rating::ImmediateEscape::attack

private

Definition at line 54 of file feature/escape.h.

Referenced by ImmediateEscape(), and match().

## self

Ptype osl::rating::ImmediateEscape::self

private

Definition at line 54 of file feature/escape.h.

Referenced by ImmediateEscape(), and match().

The documentation for this class was generated from the following file:

- feature/escape.h